## xinput-calibrator 0.8.0

=== meson_options.txt ===
option('gui',
       type: 'combo',
       choices: ['x11', 'gtkmm', 'auto'],
       value: 'auto',
       description: 'The GUI library to use')

## xinput-calibrator 0.7.5

=== debian/changelog ===
xinput-calibrator (0.7.5-0ubuntu1) natty; urgency=low

  * Upload to Ubuntu. (LP: #735602)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Apr 2011 10:22:13 +0300

xinput-calibrator (0.7.5-1) UNRELEASED; urgency=low

  [ Tias Guns ]
  * New upstream release (older systems, cleaner output)
  * remove debian/patches, obsolete by new release
  * update control file to match cleaned up description in manpage
  * Incorporated more suggestions from Paul Wise on mentors:
    - remove debian/docs with README entry
    - add license of icon (CC-BY-SA 3.0)

  [ Timo Aaltonen ]
  * Change Maintainer, add Cyril as the Uploader.
  * Drop build-dependency on libgtkmm-2.4-dev, the xlib-frontend is
    good enough for now.
  * Wrap build-depends/depends.
  * Use autoreconf on build, build-depend on dh-autoreconf and drop
    autotools-dev from b-d.
  * Add support for quilt.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 16 Mar 2011 17:12:15 +0200

xinput-calibrator (0.7.0-3) unstable; urgency=low

  * Incorporate suggestions from Paul Wise on mentors:
    - Add header to link_as_needed.patch
    - Update Standards-Version
    - close ITP, Closes: #592073
    - remove comments from debian/rules
    - do not set DH_VERBOSE in debian/rules
    - remove README file (upstream for github, not for binary pkg)
    - language fixes from Paul Wise, quilt until new upstream release

 -- Tias Guns <tias@ulyssis.org>  Sat, 14 Aug 2010 16:24:32 +0200

xinput-calibrator (0.7.0-2) unstable; urgency=low

  * add link_as_needed.patch
    adds --as-needed ld flag to avoid linking useless gtkmm packages
    suggested by Eugene Paskevich on debian-mentors

 -- Tias Guns <tias@ulyssis.org>  Wed, 11 Aug 2010 21:57:32 +0200

xinput-calibrator (0.7.0-1) unstable; urgency=low

  * add libgtkmm-2.4-dev to Build-Depends, default for desktop distributions
    is to use gtkmm gui
  * update description (add mis-click, remove language error)
  * new standards version

 -- Tias Guns <tias@ulyssis.org>  Thu, 05 Aug 2010 22:37:32 +0200

xinput-calibrator (0.7.0) unstable; urgency=low

  * New upstream release (packaging changes, misclick detection)

 -- Tias Guns <tias@ulyssis.org>  Mon, 02 Aug 2010 20:57:32 +0200

xinput-calibrator (0.6.1) unstable; urgency=low

  * Initial Package.

 -- Tias Guns <tias@ulyssis.org>  Mon, 10 May 2010 23:28:32 +0200

=== debian/control ===
Source: xinput-calibrator
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.debian.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 7),
 dh-autoreconf,
 libx11-dev,
 libxi-dev,
 pkg-config,
 quilt,
Standards-Version: 3.9.1
Homepage: http://www.freedesktop.org/wiki/Software/xinput_calibrator
Bugs: http://github.com/tias/xinput_calibrator/issues
Vcs-Git: http://github.com/tias/xinput_calibrator.git
Vcs-Browser: http://github.com/tias/xinput_calibrator

Package: xinput-calibrator
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: xinput
Description: A generic touchscreen calibration program for X.Org
 xinput_calibrator is a program for calibrating your touchscreen, when using
 the X Window System.
 It currently features:
  - works for any standard Xorg touchscreen driver (uses XInput protocol)
  - mis-click detection (prevents bogus calibration)
  - dynamically recalibrates the evdev driver
  - outputs the calibration as xorg.conf.d snippet or HAL policy file
  - and more

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,quilt --builddirectory=build/

## xinput-calibrator 0.7.5%2Bgit20140201

=== debian/changelog ===
xinput-calibrator (0.7.5+git20140201-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:28 +0000

xinput-calibrator (0.7.5+git20140201-1) unstable; urgency=low

  * Initial release. (Closes: #592073)

 -- Andrea Colangelo <warp10@debian.org>  Sat, 01 Feb 2014 11:35:43 +0100

## xinput-calibrator 0.7.5+git20140201

=== debian/control ===
Source: xinput-calibrator
Section: utils
Priority: optional
Maintainer: Andrea Colangelo <warp10@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               pkg-config,
               libx11-dev,
               libxi-dev
Standards-Version: 3.9.5
Homepage: http://www.freedesktop.org/wiki/Software/xinput_calibrator/
Vcs-Git: git://anonscm.debian.org/collab-maint/xinput-calibrator.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xinput-calibrator.git

Package: xinput-calibrator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Generic touchscreen calibration program for X.Org
 xinput-calibrator is a tool to calibrate touchscreens under X.Org.
 Its features include:
  - work for any Xorg driver (use Xinput to get axis valuators);
  - output the calibration as Xorg.conf, HAL policy and udev rule;
  - support advanced driver options, such as Evdev's dynamic calibration;
  - have a very intuitive GUI (normal X client);

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

## xinput-calibrator 0.8.0

=== debian/changelog ===
xinput-calibrator (0.8.0-1) unstable; urgency=medium

  * Team upload of Debian team
  
  [ Andreas Tille ]
  * New upstream version
    Closes: #1081676
  * Fix Homepage
  * Fix watch file
  * Fix Vcs fields.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Helmut Grohne ]
  * Fix FTCBFS: ./configure once only via dh_auto_configure.
    Closes: #919546

  [ Petter Reinholdtsen ]
  * Announce supported hardware using AppStream
    Closes: #872254

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2024 16:43:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Andrea Colangelo <warp10@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               dh-autoreconf,
-               pkg-config,
+Build-Depends: debhelper-compat (= 13),
+               pkgconf,
                libx11-dev,
                libxi-dev
-Standards-Version: 3.9.5
-Homepage: http://www.freedesktop.org/wiki/Software/xinput_calibrator/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xinput-calibrator.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xinput-calibrator.git
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/xinput-calibrator.git
+Vcs-Browser: https://salsa.debian.org/debian/xinput-calibrator
+Homepage: https://gitlab.freedesktop.org/xorg/app/xinput-calibrator/
+Rules-Requires-Root: no
 
 Package: xinput-calibrator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-maintainer-mode

=== debian/watch ===
version=4

# opts="pgpsigurlmangle=s/$/.sig/" \

 https://xorg.freedesktop.org/releases/individual/app/ xinput_calibrator-@ANY_VERSION@@ARCHIVE_EXT@
